%global sum	Shooting game on X Window System

Summary:	%{sum}
Name:		xsoldier
Version:	1.8
Release:	%mkrel 10
License:	GPLv2
Group:		Games/Arcade
URL:		http://www.interq.or.jp/libra/oohara/xsoldier/
Source:		http://www.interq.or.jp/libra/oohara/xsoldier/%{name}-%{version}.tar.gz
Source3:	%{name}-icons.tar.bz2
Patch0:		%{name}-1.5-mdv-fix-str-fmt.patch
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(xpm)

%description
Great little shoot 'em up game in the style of galaga. Very neat graphics, but
there's no sound support yet.

%prep

%setup -q
%autopatch -p1

%build

%configure --bindir=%{_gamesbindir} --localstatedir=%{_localstatedir}/lib  --with-sdl

%make_build

%install
%make_install bindir=%{_gamesbindir} datadir=%{_datadir} localstatedir=%{_localstatedir}/lib mandir=%{_mandir}

install -m 755 -d %{buildroot}/%{_menudir}
install -m 755 -d %{buildroot}/%{_iconsdir}

(cd  %{buildroot}%{_iconsdir} ; bunzip2 -c %{SOURCE3} | tar xvf - ) 

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{sum}
Exec=%{_gamesbindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

chmod 777 %{buildroot}%{_localstatedir}/lib/games/xsoldier
cp scorefile.txt %{buildroot}%{_localstatedir}/lib/games/xsoldier/xsoldier.scores

%files
%doc ChangeLog README LICENSE INSTALL
%attr(0755, root, games) %{_gamesbindir}/*
%{_gamesdatadir}/*
%{_datadir}/applications/*
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_mandir}/man6/*
%attr(664, games, games) %{_localstatedir}/lib/games/xsoldier/xsoldier.scores


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 1.8-10.mga9
+ Revision: 1839450
- Mageia 9 Mass Rebuild

* Wed Apr 15 2020 danf <danf> 1.8-9.mga8
+ Revision: 1567578
- Fix Comment= in .desktop file to stop referring to debug sources

* Fri Feb 14 2020 umeabot <umeabot> 1.8-8.mga8
+ Revision: 1518957
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.8-7.mga7
+ Revision: 1301983
- Mageia 7 Mass Rebuild

* Tue Jan 19 2016 daviddavid <daviddavid> 1.8-6.mga6
+ Revision: 925854
- switch to %%configure2_5x to fix build

* Wed Oct 15 2014 umeabot <umeabot> 1.8-5.mga5
+ Revision: 744741
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8-4.mga5
+ Revision: 690781
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.8-3.mga4
+ Revision: 520818
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.8-2.mga3
+ Revision: 387403
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 30 2011 shlomif <shlomif> 1.8-1.mga2
+ Revision: 150576
- New version - 1.8 - thanks to Malo

* Tue Mar 22 2011 steletch <steletch> 1.5-2.mga1
+ Revision: 75669
- Clean spec file
- imported package xsoldier


* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 1.5-2mdv2011.0
+ Revision: 615737
- the mass rebuild of 2010.1 packages

* Wed Nov 11 2009 Jérôme Brenier <incubusss@mandriva.org> 1.5-1mdv2010.1
+ Revision: 464479
- update to new version 1.5
- fix str fmt
- $RPM_BUILD_ROOT -> %%{buildroot}

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Mon Aug 04 2008 Thierry Vignaud <tv@mandriva.org> 1.4-6mdv2009.0
+ Revision: 262717
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.4-5mdv2009.0
+ Revision: 257773
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 1.4-3mdv2008.1
+ Revision: 140994
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.4-3mdv2008.0
+ Revision: 90387
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Mon Apr 30 2007 Crispin Boylan <crisb@mandriva.org> 1.4-2mdv2008.0
+ Revision: 19452
- Fix menu name


* Tue Jan 23 2007 Crispin Boylan <crisb@mandriva.org> 1.4-1mdv2007.0
+ Revision: 112663
- New version, XDG menu
- Import xsoldier

* Thu Jan 05 2006 Lenny Cartier <lenny@mandriva.com> 1.3-5mdk
- rebuild

* Thu Jul 01 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.3-4mdk
- rebuild

